Error upgrading Saucy 13.10 to 14.04 LTS: Removing gconf2:amd64 rather than change python:any:amd64

Bug #1311351 reported by Dept.Técnico (Extreme Micro S.L.) on 2014-04-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Unassigned

Bug Description

It fails with a generic error about using 3rd party packages.

apt.log:
.
.
.
Broken ubuntu-desktop:amd64 Depende on xdiagnose [ amd64 ] < 3.6.1 -> 3.6.3build2 > ( python )
  Considering xdiagnose:amd64 10000 as a solution to ubuntu-desktop:amd64 10000
  Considering xdiagnose:amd64 10000 as a solution to ubuntu-desktop:amd64 10000
Done
Traceback (most recent call last):
  File "/usr/lib/python2.7/logging/__init__.py", line 851, in emit
    msg = self.format(record)
  File "/usr/lib/python2.7/logging/__init__.py", line 724, in format
    return fmt.format(record)
  File "/usr/lib/python2.7/logging/__init__.py", line 464, in format
    record.message = record.getMessage()
  File "/usr/lib/python2.7/logging/__init__.py", line 328, in getMessage
    msg = msg % self.args
UnicodeEncodeError: 'ascii' codec can't encode character u'\xab' in position 11: ordinal not in range(128)
Logged from file DistUpgradeCache.py, line 661

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: ubuntu-release-upgrader-core 1:0.205.5
ProcVersionSignature: Ubuntu 3.11.0-19.33-generic 3.11.10.5
Uname: Linux 3.11.0-19-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
CrashDB: ubuntu
Date: Tue Apr 22 23:39:18 2014
InstallationDate: Installed on 2012-01-21 (822 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to saucy on 2014-04-22 (0 days ago)
VarLogDistupgradeTermlog:

Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

From apt.log
1497 Broken gconf2:amd64 Depende on python:any [ amd64 ] < none > ( none )
1498 Considering python:amd64 320 as a solution to gconf2:amd64 41
1499 MarkKeep gconf2 [ amd64 ] < 3.2.6-0ubuntu1 -> 3.2.6-0ubuntu2 > ( libs ) FU=0
1500 Reinst Failed because of python:amd64
1501 MarkKeep gconf2 [ amd64 ] < 3.2.6-0ubuntu1 -> 3.2.6-0ubuntu2 > ( libs ) FU=0
1502 Removing gconf2:amd64 rather than change python:any:amd64
1503 MarkDelete gconf2 [ amd64 ] < 3.2.6-0ubuntu1 -> 3.2.6-0ubuntu2 > ( libs ) FU=0

Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → High
status: New → Confirmed
summary: - Error upgrading Saucy 13.10 to 14.04 LTS
+ Error upgrading Saucy 13.10 to 14.04 LTS: Removing gconf2:amd64 rather
+ than change python:any:amd64
Jean-Baptiste Lallement (jibel) wrote :

I can reproduce this bug with the clone attached to this bug report. I believe it is the same issue than bug 1308657

Jean-Baptiste Lallement (jibel) wrote :

Installing python-talloc:amd64 makes the calculation successful.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers